snmpget
snmprealwalk
SNMP Functions
PHP Manual

# snmpgetnext

(PHP 5)

snmpgetnext — Fetch the SNMP object which follows the given object id

### Description

string snmpgetnext ( string `$host` , string `$community` , string `$object_id` [, int `$timeout` = 1000000 [, int `$retries` = 5 ]] )

The snmpgetnext() function is used to read the value of the SNMP object that follows the specified `object_id`.

### Parameters

`host`

  The hostname of the SNMP agent (server).

`community`

  The read community.

`object_id`

  The SNMP object id which precedes the wanted one.

`timeout`

  The number of microseconds until the first timeout.

`retries`

  The number of times to retry if timeouts occur.

### Return Values

Returns SNMP object value on success or `FALSE` on error. In case of an error, an E_WARNING message is shown.

### Examples

Example #1 Using snmpgetnext()

`<?php
$nameOfSecondInterface = snmpgetnetxt('localhost', 'public', 'IF-MIB::ifName.1';
?>`

### See Also

- snmpget() - Fetch an SNMP object
- snmpwalk() - Fetch all the SNMP objects from an agent

snmpget
snmprealwalk
SNMP Functions
PHP Manual